Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005301 [JEDI VCL] 00 JVCL Components major always 2010-08-17 08:19 2012-02-29 16:53
Reporter rentoulis View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.39
Summary 0005301: TJvFileListBox does not refreshes when Directory property of linked TJvDirectoryListBox changes
Description I use a TJvDirectoryListBox that has a link to a TJvFileListBox (via property FileList). On runtime, when I change directory with mouse click the FileListBox refreshes itself accordingly. But when I change the Directory property of the DirectoryListBox programmatically, the contents of the FileListBox do not change.
Additional Information Delphi 2006 Pro
Tags No tags attached.
Attached Files zip file icon sfm.zip [^] (13,428 bytes) 2010-09-10 08:04

- Relationships

-  Notes
(0017591)
obones (administrator)
2010-08-20 11:41

Please provide the zipped sources of a sample application showing this
(0017661)
rentoulis (reporter)
2010-09-10 08:06

I have uploaded a sample application.
Double-click a folder in the lower box (TJvFileListBox).
Un-comment some lines of code to see the desired effect of double-clicking.
(0018176)
AHUser (developer)
2010-11-27 12:56

Fixed in svn revision 12903.

- Issue History
Date Modified Username Field Change
2010-08-17 08:19 rentoulis New Issue
2010-08-20 11:41 obones Note Added: 0017591
2010-08-20 11:41 obones Status new => feedback
2010-09-10 08:04 rentoulis File Added: sfm.zip
2010-09-10 08:06 rentoulis Note Added: 0017661
2010-10-08 16:33 obones Status feedback => acknowledged
2010-11-27 12:56 AHUser Note Added: 0018176
2010-11-27 12:56 AHUser Status acknowledged => resolved
2010-11-27 12:56 AHUser Fixed in Version => Daily / SVN
2010-11-27 12:56 AHUser Resolution open => fixed
2010-11-27 12:56 AHUser Assigned To => AHUser
2012-02-29 16:53 obones Fixed in Version Daily / SVN => 3.45


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker